Subject: Re: [PATCH 3/4] Use embedded libfdt in the bootwrapper

From: Scott Wood <[email-masked]>
Date: Thu, 08 Nov 2007 16:50:11 -0600

David Gibson wrote:
>> How hard would it be to get libfdt to dynamically allocate any extra space
>> it needs?  This is a regression from the current flat device tree code...
> 
> Uh.. it already does.  Or rather, the shims in libfdt-wrapper.c do so,
> when libfdt functions which can expand the tree report that they've
> run out of room.

Ah, good -- I was looking in libfdt itself, not the wrapper.  Now if 
only we could get something similar into u-boot... maybe libfdt proper 
could accept an optional realloc() function pointer in fdt_init(), and 
eliminate the need for the caller to provide such a wrapper?

-Scott